package itourbaskBeans;

import java.util.List;


/**
 * DOCUMENT ME!
 *
 *  
 * @version $Revision$
 */
public class q53EncuestaBean {
    
    private String codEncuesta;

    private String codVersion;

    private boolean versionAntigua;

    private String descripcionEncuesta;

    private String codOficina;

    private boolean recogidaDatos;

    private boolean encuestaVisible;

    private String codPersona;

    private String encuestaTexto;

    private String fechaCreacionEncuesta;

    private List respuestasList;

    private List preguntasList;
    
    private boolean hayRespuesta;
    
    private String tipo;
    

    /**
     * Creates a new instance of q53EncuestaBean
     */
    public q53EncuestaBean() {
    }

    /**
     * Getter for property codEncuesta.
     *
     * @return Value of property codEncuesta.
     */
    public java.lang.String getCodEncuesta() {
        return codEncuesta;
    }

    /**
     * Setter for property codEncuesta.
     *
     * @param codEncuesta New value of property codEncuesta.
     */
    public void setCodEncuesta(java.lang.String codEncuesta) {
        this.codEncuesta = codEncuesta;
    }

    /**
     * Getter for property codVersion.
     *
     * @return Value of property codVersion.
     */
    public java.lang.String getCodVersion() {
        return codVersion;
    }

    /**
     * Setter for property codVersion.
     *
     * @param codVersion New value of property codVersion.
     */
    public void setCodVersion(java.lang.String codVersion) {
        this.codVersion = codVersion;
    }

    /**
     * Getter for property versionAntigua.
     *
     * @return Value of property versionAntigua.
     */
    public boolean isVersionAntigua() {
        return versionAntigua;
    }

    /**
     * Setter for property versionAntigua.
     *
     * @param versionAntigua New value of property versionAntigua.
     */
    public void setVersionAntigua(boolean versionAntigua) {
        this.versionAntigua = versionAntigua;
    }

    /**
     * Getter for property descripcionEncuesta.
     *
     * @return Value of property descripcionEncuesta.
     */
    public java.lang.String getDescripcionEncuesta() {
        return descripcionEncuesta;
    }

    /**
     * Setter for property descripcionEncuesta.
     *
     * @param descripcionEncuesta New value of property descripcionEncuesta.
     */
    public void setDescripcionEncuesta(java.lang.String descripcionEncuesta) {
        this.descripcionEncuesta = descripcionEncuesta;
    }

    /**
     * Getter for property recogidaDatos.
     *
     * @return Value of property recogidaDatos.
     */
    public boolean isRecogidaDatos() {
        return recogidaDatos;
    }

    /**
     * Setter for property recogidaDatos.
     *
     * @param recogidaDatos New value of property recogidaDatos.
     */
    public void setRecogidaDatos(boolean recogidaDatos) {
        this.recogidaDatos = recogidaDatos;
    }

    /**
     * Getter for property encuestaVisible.
     *
     * @return Value of property encuestaVisible.
     */
    public boolean isEncuestaVisible() {
        return encuestaVisible;
    }

    /**
     * Setter for property encuestaVisible.
     *
     * @param encuestaVisible New value of property encuestaVisible.
     */
    public void setEncuestaVisible(boolean encuestaVisible) {
        this.encuestaVisible = encuestaVisible;
    }

    /**
     * Getter for property codPersona.
     *
     * @return Value of property codPersona.
     */
    public java.lang.String getCodPersona() {
        return codPersona;
    }

    /**
     * Setter for property codPersona.
     *
     * @param codPersona New value of property codPersona.
     */
    public void setTipo(java.lang.String tipo) {
        this.tipo = tipo;
    }
    public java.lang.String getTipo() {
        return tipo;
    }

    /**
     * Setter for property codPersona.
     *
     * @param codPersona New value of property codPersona.
     */
    public void setCodPersona(java.lang.String codPersona) {
        this.codPersona = codPersona;
    }

    /**
     * Getter for property encuestaTexto.
     *
     * @return Value of property encuestaTexto.
     */
    public java.lang.String getEncuestaTexto() {
        return encuestaTexto;
    }

    /**
     * Setter for property encuestaTexto.
     *
     * @param encuestaTexto New value of property encuestaTexto.
     */
    public void setEncuestaTexto(java.lang.String encuestaTexto) {
        this.encuestaTexto = encuestaTexto;
    }

    /**
     * Getter for property fechaCreacionEncuesta.
     *
     * @return Value of property fechaCreacionEncuesta.
     */
    public String getFechaCreacionEncuesta() {
        return fechaCreacionEncuesta;
    }

    /**
     * Setter for property fechaCreacionEncuesta.
     *
     * @param fechaCreacionEncuesta New value of property
     *        fechaCreacionEncuesta.
     */
    public void setFechaCreacionEncuesta(java.lang.String fechaCreacionEncuesta) {
        this.fechaCreacionEncuesta = fechaCreacionEncuesta;
    }

    /**
     * Getter for property codOficina.
     *
     * @return Value of property codOficina.
     */
    public java.lang.String getCodOficina() {
        return codOficina;
    }

    /**
     * Setter for property codOficina.
     *
     * @param codOficina New value of property codOficina.
     */
    public void setCodOficina(java.lang.String codOficina) {
        this.codOficina = codOficina;
    }

    /**
     * Getter for property respuestasList.
     *
     * @return Value of property respuestasList.
     */
    public java.util.List getRespuestasList() {
        return respuestasList;
    }

    /**
     * Setter for property respuestasList.
     *
     * @param respuestasList New value of property respuestasList.
     */
    public void setRespuestasList(java.util.List respuestasList) {
        this.respuestasList = respuestasList;
    }

    /**
     * Getter for property preguntasList.
     *
     * @return Value of property preguntasList.
     */
    public java.util.List getPreguntasList() {
        return preguntasList;
    }

    /**
     * Setter for property preguntasList.
     *
     * @param preguntasList New value of property preguntasList.
     */
    public void setPreguntasList(java.util.List preguntasList) {
        this.preguntasList = preguntasList;
    }
    
    /**
     * Getter for property hayRespuesta.
     * @return Value of property hayRespuesta.
     */
    public boolean isHayRespuesta() {
        return hayRespuesta;
    }
    
     /**
     * Setter for property hayRespuesta.
     * @param hayRespuesta New value of property hayRespuesta.
     */
    public void setHayRespuesta(boolean hayRespuesta) {
        this.hayRespuesta = hayRespuesta;
    }
    /**
     * Setter for property 
     * @param presencial New value of property 
     */
   
    
}
